unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  cval:real;

implementation

{$R *.lfm}

{ TForm1 }


procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  //Edit1.Text:='';
  //Edit2.Text:='';

  cval:=StrToFloat(edit1.Text);

  if (combobox1.Text = 'Міліметр') and (combobox2.Text = 'Міліметр')
  then edit2.text:=floattostr(cval);
  if (combobox1.Text = 'Міліметр') and (combobox2.Text = 'Сантиметр')
  then edit2.text:=floattostr(cval/10);
  if (combobox1.Text = 'Міліметр') and (combobox2.Text = 'Метр')
  then edit2.text:=floattostr(cval/1000);
  if (combobox1.Text = 'Міліметр') and (combobox2.Text = 'Дюйм')
  then edit2.text:=floattostr(cval/25.4);
  if (combobox1.Text = 'Міліметр') and (combobox2.Text = 'Фут')
  then edit2.text:=floattostr(cval/304.8);
  if (combobox1.Text = 'Міліметр') and (combobox2.Text = 'Ярд')
  then edit2.text:=floattostr(cval/914.4);

  if (combobox1.Text = 'Сантиметр') and (combobox2.Text = 'Міліметр')
  then edit2.text:=floattostr(cval*10);
  if (combobox1.Text = 'Сантиметр') and (combobox2.Text = 'Сантиметр')
  then edit2.text:=floattostr(cval);
  if (combobox1.Text = 'Сантиметр') and (combobox2.Text = 'Метр')
  then edit2.text:=floattostr(cval/100);
  if (combobox1.Text = 'Сантиметр') and (combobox2.Text = 'Дюйм')
  then edit2.text:=floattostr(cval/2.54);
  if (combobox1.Text = 'Сантиметр') and (combobox2.Text = 'Фут')
  then edit2.text:=floattostr(cval/30.48);
  if (combobox1.Text = 'Сантиметр') and (combobox2.Text = 'Ярд')
  then edit2.text:=floattostr(cval/91.44);

  if (combobox1.Text = 'Метр') and (combobox2.Text = 'Міліметр')
  then edit2.text:=floattostr(cval*1000);
  if (combobox1.Text = 'Метр') and (combobox2.Text = 'Сантиметр')
  then edit2.text:=floattostr(cval*100);
  if (combobox1.Text = 'Метр') and (combobox2.Text = 'Метр')
  then edit2.text:=floattostr(cval);
  if (combobox1.Text = 'Метр') and (combobox2.Text = 'Дюйм')
  then edit2.text:=floattostr(cval/0.0254);
  if (combobox1.Text = 'Метр') and (combobox2.Text = 'Фут')
  then edit2.text:=floattostr(cval/0.3048);
  if (combobox1.Text = 'Метр') and (combobox2.Text = 'Ярд')
  then edit2.text:=floattostr(cval/0.9144);

  if (combobox1.Text = 'Дюйм') and (combobox2.Text = 'Міліметр')
  then edit2.text:=floattostr(cval*25.4);
  if (combobox1.Text = 'Дюйм') and (combobox2.Text = 'Сантиметр')
  then edit2.text:=floattostr(cval*2.54);
  if (combobox1.Text = 'Дюйм') and (combobox2.Text = 'Метр')
  then edit2.text:=floattostr(cval*0.0254);
  if (combobox1.Text = 'Дюйм') and (combobox2.Text = 'Дюйм')
  then edit2.text:=floattostr(cval);
  if (combobox1.Text = 'Дюйм') and (combobox2.Text = 'Фут')
  then edit2.text:=floattostr(cval/12);
  if (combobox1.Text = 'Дюйм') and (combobox2.Text = 'Ярд')
  then edit2.text:=floattostr(cval/36);

  if (combobox1.Text = 'Фут') and (combobox2.Text = 'Міліметр')
  then edit2.text:=floattostr(cval*304.8);
  if (combobox1.Text = 'Фут') and (combobox2.Text = 'Сантиметр')
  then edit2.text:=floattostr(cval*30.48);
  if (combobox1.Text = 'Фут') and (combobox2.Text = 'Метр')
  then edit2.text:=floattostr(cval*0.3048);
  if (combobox1.Text = 'Фут') and (combobox2.Text = 'Дюйм')
  then edit2.text:=floattostr(cval*12);
  if (combobox1.Text = 'Фут') and (combobox2.Text = 'Фут')
  then edit2.text:=floattostr(cval);
  if (combobox1.Text = 'Фут') and (combobox2.Text = 'Ярд')
  then edit2.text:=floattostr(cval/3);

  if (combobox1.Text = 'Ярд') and (combobox2.Text = 'Міліметр')
  then edit2.text:=floattostr(cval*914.4);
  if (combobox1.Text = 'Ярд') and (combobox2.Text = 'Сантиметр')
  then edit2.text:=floattostr(cval*91.44);
  if (combobox1.Text = 'Ярд') and (combobox2.Text = 'Метр')
  then edit2.text:=floattostr(cval*0.9144);
  if (combobox1.Text = 'Ярд') and (combobox2.Text = 'Дюйм')
  then edit2.text:=floattostr(cval*36);
  if (combobox1.Text = 'Ярд') and (combobox2.Text = 'Фут')
  then edit2.text:=floattostr(cval*3);
  if (combobox1.Text = 'Ярд') and (combobox2.Text = 'Ярд')
  then edit2.text:=floattostr(cval);

end;

procedure TForm1.ComboBox2Change(Sender: TObject);
begin
  //Edit1.Text:='';
  //Edit2.Text:='';

  cval:=StrToFloat(edit1.Text);

  if (combobox1.Text = 'Міліметр') and (combobox2.Text = 'Міліметр')
  then edit2.text:=floattostr(cval);
  if (combobox1.Text = 'Міліметр') and (combobox2.Text = 'Сантиметр')
  then edit2.text:=floattostr(cval/10);
  if (combobox1.Text = 'Міліметр') and (combobox2.Text = 'Метр')
  then edit2.text:=floattostr(cval/1000);
  if (combobox1.Text = 'Міліметр') and (combobox2.Text = 'Дюйм')
  then edit2.text:=floattostr(cval/25.4);
  if (combobox1.Text = 'Міліметр') and (combobox2.Text = 'Фут')
  then edit2.text:=floattostr(cval/304.8);
  if (combobox1.Text = 'Міліметр') and (combobox2.Text = 'Ярд')
  then edit2.text:=floattostr(cval/914.4);

  if (combobox1.Text = 'Сантиметр') and (combobox2.Text = 'Міліметр')
  then edit2.text:=floattostr(cval*10);
  if (combobox1.Text = 'Сантиметр') and (combobox2.Text = 'Сантиметр')
  then edit2.text:=floattostr(cval);
  if (combobox1.Text = 'Сантиметр') and (combobox2.Text = 'Метр')
  then edit2.text:=floattostr(cval/100);
  if (combobox1.Text = 'Сантиметр') and (combobox2.Text = 'Дюйм')
  then edit2.text:=floattostr(cval/2.54);
  if (combobox1.Text = 'Сантиметр') and (combobox2.Text = 'Фут')
  then edit2.text:=floattostr(cval/30.48);
  if (combobox1.Text = 'Сантиметр') and (combobox2.Text = 'Ярд')
  then edit2.text:=floattostr(cval/91.44);

  if (combobox1.Text = 'Метр') and (combobox2.Text = 'Міліметр')
  then edit2.text:=floattostr(cval*1000);
  if (combobox1.Text = 'Метр') and (combobox2.Text = 'Сантиметр')
  then edit2.text:=floattostr(cval*100);
  if (combobox1.Text = 'Метр') and (combobox2.Text = 'Метр')
  then edit2.text:=floattostr(cval);
  if (combobox1.Text = 'Метр') and (combobox2.Text = 'Дюйм')
  then edit2.text:=floattostr(cval/0.0254);
  if (combobox1.Text = 'Метр') and (combobox2.Text = 'Фут')
  then edit2.text:=floattostr(cval/0.3048);
  if (combobox1.Text = 'Метр') and (combobox2.Text = 'Ярд')
  then edit2.text:=floattostr(cval/0.9144);

  if (combobox1.Text = 'Дюйм') and (combobox2.Text = 'Міліметр')
  then edit2.text:=floattostr(cval*25.4);
  if (combobox1.Text = 'Дюйм') and (combobox2.Text = 'Сантиметр')
  then edit2.text:=floattostr(cval*2.54);
  if (combobox1.Text = 'Дюйм') and (combobox2.Text = 'Метр')
  then edit2.text:=floattostr(cval*0.0254);
  if (combobox1.Text = 'Дюйм') and (combobox2.Text = 'Дюйм')
  then edit2.text:=floattostr(cval);
  if (combobox1.Text = 'Дюйм') and (combobox2.Text = 'Фут')
  then edit2.text:=floattostr(cval/12);
  if (combobox1.Text = 'Дюйм') and (combobox2.Text = 'Ярд')
  then edit2.text:=floattostr(cval/36);

  if (combobox1.Text = 'Фут') and (combobox2.Text = 'Міліметр')
  then edit2.text:=floattostr(cval*304.8);
  if (combobox1.Text = 'Фут') and (combobox2.Text = 'Сантиметр')
  then edit2.text:=floattostr(cval*30.48);
  if (combobox1.Text = 'Фут') and (combobox2.Text = 'Метр')
  then edit2.text:=floattostr(cval*0.3048);
  if (combobox1.Text = 'Фут') and (combobox2.Text = 'Дюйм')
  then edit2.text:=floattostr(cval*12);
  if (combobox1.Text = 'Фут') and (combobox2.Text = 'Фут')
  then edit2.text:=floattostr(cval);
  if (combobox1.Text = 'Фут') and (combobox2.Text = 'Ярд')
  then edit2.text:=floattostr(cval/3);

  if (combobox1.Text = 'Ярд') and (combobox2.Text = 'Міліметр')
  then edit2.text:=floattostr(cval*914.4);
  if (combobox1.Text = 'Ярд') and (combobox2.Text = 'Сантиметр')
  then edit2.text:=floattostr(cval*91.44);
  if (combobox1.Text = 'Ярд') and (combobox2.Text = 'Метр')
  then edit2.text:=floattostr(cval*0.9144);
  if (combobox1.Text = 'Ярд') and (combobox2.Text = 'Дюйм')
  then edit2.text:=floattostr(cval*36);
  if (combobox1.Text = 'Ярд') and (combobox2.Text = 'Фут')
  then edit2.text:=floattostr(cval*3);
  if (combobox1.Text = 'Ярд') and (combobox2.Text = 'Ярд')
  then edit2.text:=floattostr(cval);

end;

end.

